Name: xdtv
Summary: XdTV is a software to record & watch TV
Version: 2.4.0pre0
Release: alt1b
License: GPL
Packager: Hihin Ruslan <hihin_c@t_narod_dot_ru>
Url: http://xawdecode.sourceforge.net/
Source0: %name-%version.tar.gz
Group: Video

##############################################################################
# $Id: xdtv.spec.in,v 1.26 2006/01/27 20:38:14 pingus77 Exp $
##############################################################################
# Minimum required is: X11 & XPM & Xaw from X.org + Xterm
#
# Optional:
# To have a better GUI:
# neXtaw (0.15.1) from http://siag.nu/neXtaw/
# or XawM from http://sourceforge.net/projects/xawm/
# or Xaw95 & Xaw3d (not advised)
#
# To Record with a lot of audio/video codecs:
# FFMpeg (50.0.0+) from http://ffmpeg.sourceforge.net/ read README.ffmpeg for more infos
# Lame (3.96+)from http://lame.sourceforge.net/
# XviD (1.x+) from http://www.xvid.org/
# DivX (5.0.1alpha only) from http://www.divx.com/divx/linux/
# Ogg (1.1.2+) & Theora (1.0alpha5) & Vorbis (1.1.0+) from http://www.xiph.org/
#
# Other options:
# Zvbi (0.2.15+) from http://zapping.sourceforge.net/ (Scanning channels and get their names
# Alsa (1.x) from http://www.alsa-project.org/ (Better sound architecture than OSS)
# Lirc (0.7.x+) from http://www.lirc.org/ (If you have a remote and want to use it)
# libpng & libjpeg (For capturing AleVT & XdTV snapshots)
##############################################################################

%def_disable optimization
%def_disable debug

# Defaults :

#   --enable-mmx            disables any mmx features (default)
#   --enable-cpu-detection  detect CPU type and guess gcc best optimization values (default)
#   --enable-jpeg           enables jpeg support (for snapshots), (default)
#   --enable-png            enables png support (for zvbi & alevt-cap), (default)
#   --enable-xaw3d          use Xaw3D (default)
#   --enable-xaw95          use Xaw95 (default)
#   --enable-xawm           use XawM (default)
#   --enable-nextaw         use neXtaw (default)
#   --enable-mowitz         use Mowitz (default)
#   --enable-x11-ext        use X11 extentions (DGA,VidMode,DPMS), (default)
#   --enable-x11-ext-checking      enables X11 extentions (DGA,VidMode,DPMS) version checking at runtime, (default)
#   --enable-xvideo         use the Xvideo extention (default)
#   --enable-lirc           lirc support (default)
#   --enable-alsa           alsa support (default)
#   --enable-divx4linux     enable divx4linux video codec support (default)
#   --enable-ffmpeg         enable ffmpeg video codec support (default)
#   --disable-ffmpeg-amrnb  disable ffmpeg amr_nb audio codec support (default)
#   --disable-ffmpeg-amrnb-fixed  disable ffmpeg amr_nb_fixed audio codec support (default)
#   --disable-ffmpeg-amrwb  disable ffmpeg amr_wb audio codec support (default)
#   --enable-xvid           enable XviD video codec support (default)
#   --enable-lame           enable lame audio compression (default)
#   --enable-ogg            enable ogg (and theora/vorbis too) support (default)
#   --enable-faac         enable faac audio codec support (default)
#   --enable-x264         enable x264 video codec support (default)
#   --enable-zvbi           enables zvbi support (default)
#   --enable-xvtv           enables Xvideo TV-card driver (default)
#   --enable-nodebug        compiles without debug symbols (default)
#   --enable-xinerama       enable xinerama extension (default)
#   --enable-pixmaps        enables pixmaps (default)
#   --enable-nls            enables natural language support (default)
#   --enable-dvb            enables DVB support (default)
#   --disable-smallfont     disables AleVT Small Font (default)
#   --disable-dependency-tracking Speeds up one-time builds
#   --enable-dependency-tracking  Do not reject slow dependency extractors

%def_disable optimization
%def_disable debug
%def_enable mmc
%def_enable nls
%def_enable pixmaps

%def_with nextaw
%def_without xawm
%def_without xaw95
%def_with xaw3d
%def_with xinerama
%def_with ogg
%def_with xvid
%def_with ffmpeg
%def_without ffmpeg_amrnb
%def_without ffmpeg_amrnb_fixed
%def_without ffmpeg_amrwb
%def_without divx
%def_with lame
%def_without dvb
%def_with zvbi
%def_with lirc
%def_with alsa
%def_with png
%def_with jpeg
%def_with faac
%def_without mowitz
%def_with xvtv
%def_with x264


%define Name			XdTV
%define summary1		%name is a software to record & watch TV.
%define tvtuner_launcher	%_desktopdir

# Automatically added by buildreq on Mon Mar 27 2006
BuildRequires: libX11-devel  bdftopcf gcc-c++ imake libXv-devel libXxf86dga-devel
BuildRequires: libXxf86vm-devel mkfontdir xorg-cf-files xset

BuildPreReq: libX11-devel linux-libc-headers libXpm-devel libXaw-devel
BuildPreReq: autoconf automake

Requires: xorg-x11-libs
Requires: libXpm libXaw

%if_with nextaw
BuildPreReq: libneXtaw-devel
Requires:    libneXtaw
%endif

%if_with xawm
BuildPreReq: libXawM1-devel
Requires:    libXawM1
%endif

%if_with xaw95
BuildPreReq: libXaw95-devel
Requires:    libXaw95
%endif

%if_with x264
BuildPreReq: libx264-devel
Requires:    libx264
%endif

%if_with xaw3d
BuildPreReq: libXaw3d-devel
Requires:    libXaw3d
%endif

%if_with xinerama
BuildPreReq: libXinerama-devel
Requires:    libXinerama
%endif

%if_with ogg
BuildPreReq: libogg-devel libtheora-devel libvorbis-devel
Requires:    libogg libtheora libvorbis
%endif

%if_with xvid
BuildPreReq: libxvid-devel
Requires:    libxvid
%endif

%if_with ffmpeg
BuildPreReq: libffmpeg-devel
Requires:    libffmpeg
%endif

%if_with divx
#BuildPreReq: libavifile-devel
#Requires:    libavifile
%endif

%if_with lame
BuildPreReq: liblame-devel
Requires:    liblame
%endif

%if_with dvb
BuildPreReq: libdvbpsi-devel
Requires:    libdvbpsi
%endif

%if_with zvbi
BuildPreReq: libzvbi-devel
Requires:    libzvbi
%endif

%if_with lirc
BuildPreReq: liblirc-devel
Requires:    liblirc
%endif

%if_with alsa
BuildPreReq: libalsa-devel
Requires:    libalsa
%endif

%if_with png
BuildPreReq: libpng-devel
Requires:    libpng
%endif

%if_with jpeg
BuildPreReq: libjpeg-devel
Requires:    libjpeg
%endif

%if_with faac
BuildPreReq: libfaac-devel
Requires:    libfaac
%endif

%description
XdTV is a software that allows you to to record & watch TV.
It interacts with AleVT for Teletext and Nxtvepg for NextView,
and uses the video4linux API. It can use some deinterlacing filters
and can record video files in various containers (AVI, MPEG, OGG, etc.)
with many codecs (FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis and DivX4/5).
It has also some plugin capabilities.

%description -l ru_RU.CP1251
XdTV (  X11   xawtv)    
TV.     AleVT  Teletext   Nxtvepg  NextView,
 video4linux API.      
    : FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis, DivX4/5.    
 .

%description -l ru_RU.KOI8-R
XdTV (  X11   xawtv)    
TV.     AleVT  Teletext   Nxtvepg  NextView,
 video4linux API.      
    : FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis, DivX4/5.    
 .

%description -l ru_RU.UTF8
XdTV (программа под X11 основанная на xawtv) это софт для просмотра
TV.  Она взаимодействует с AleVT для Teletext и с Nxtvepg для NextView,
использует video4linux API.  Может использовать деинтерлейс фильтры и
записывать видео с помощью кодеков: FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis, DivX4/5.  Имеются возможности по
подключению плагинов.

%package devel
Summary: Developpement files for XdTV
Group: Development/C
Requires: %name = %version

%description devel
Developpement files for %name

%package OSD-font
Summary: Font used by XdTV OSD function
Group: Video
Requires: %name = %version

%description OSD-font
Font used by XdTV OSD function.

%prep
%setup -n %name-%version -q

%build
export FLAGS="%optflags -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE "

%configure \
%if_enabled optimization
	--enable-cpu-detection \
%else
	--disable-cpu-detection \
%endif
	%{subst_enable mmc} \
	%{subst_enable nls} \
	%{subst_enable pixmaps} \
	%{subst_enable debug} \
%if_with xinerama
	--enable-xinerama \
%else
	--disable-xinerama \
%endif
%if_with ogg
	--enable-ogg \
%else
	--disable-ogg \
%endif
%if_with x264
	--enable-x264 \
%else
	--disable-x264 \
%endif
%if_with xvtv
	--enable-xvtv \
%else
	--disable-xvtv \
%endif
%if_with divx
	--enable-divx4linux \
%else
	--disable-divx4linux \
%endif
%if_with xvid
	--enable-xvid \
%else
	--disable-xvid \
%endif
%if_with ffmpeg
	--enable-ffmpeg \
%else
	--disable-ffmpeg \
%endif
%if_with ffmpeg_amrnb
	--enable-ffmpeg-amrnb \
%else
	--disable-ffmpeg-amrnb \
%endif
%if_with  ffmpeg_amrnb_fixed
	--enable-ffmpeg-amrnb-fixed \
%else
	--disable-ffmpeg-amrnb-fixed \
%endif
%if_with ffmpeg_amrwb
	--enable-ffmpeg-amrwb \
%else
	--disable-ffmpeg-amrwb \
%endif
%if_with lame
	--enable-lame \
%else
	--disable-lame \
%endif
%if_with zvbi
	--enable-zvbi \
%else
	--disable-zvbi \
%endif
%if_with lirc
	--enable-lirc \
%else
	--disable-lirc \
%endif
%if_with dvb
	--enable-dvb \
%else
	--disable-dvb \
%endif
%if_with alsa
	--enable-alsa \
%else
	--disable-alsa \
%endif
%if_with jpeg
	--enable-jpeg \
%else
	--disable-jpeg \
%endif
%if_with png
	--enable-png \
%else
	--disable-png \
%endif
%if_with nextaw
	--enable-nextaw \
%else
	--disable-nextaw \
%endif
%if_with xawm
	--enable-xawm \
%else
	--disable-xawm \
%endif
%if_with faac
	--enable-faac \
%else
	--disable-faac \
%endif
%if_with xaw95
	--enable-xaw95 \
%else
	--disable-xaw95 \
%endif
%if_with xaw3d
	--enable-xaw3d \
%else
	--disable-xaw3d \
%endif
%if_with mowitz
	--enable-mowitz \
%else
	--disable-mowitz \
%endif
	--disable-x11-ext-checking \
        --disable-mmx  \
        --with-fontdir=%buildroot%_x11fontsdir/%name \
	--with-appdefaultsdir=%_x11appconfdir

export ROOT=%buildroot/usr
%make

%install
%makeinstall ROOT=%buildroot \
	     SUID_ROOT="" \
	     libdir="%_x11libdir/%name" \
	     resdir="%_x11x11libdir"

# Cure man path if needed
install -d -m 755 %buildroot%_man1dir
install -m 644 man/%name.1 %buildroot%_man1dir
install -m 644 man/%{name}_cmd.1 %buildroot%_man1dir
install -m 644 man/%{name}_alevt-cap.1 %buildroot%_man1dir
install -m 644 man/%{name}_alevt-date.1 %buildroot%_man1dir
install -m 644 man/%{name}_alevt.1 %buildroot%_man1dir

# Dynamic desktop support
mkdir -p %buildroot/%tvtuner_launcher
cat > %buildroot/%tvtuner_launcher/%name.desktop << EOF

[Desktop Entry]
Name=%Name \$basename
Comment=%Name is a software to record & watch TV.
TryExec=%_bindir/%name
Exec=%_bindir/%name
Terminal=false
Icon=%name.png
Type=Application
EOF

# menu
install -D -m 644 %name-16.png %buildroot/%_miconsdir/%name.png
install -D -m 644 %name-32.png %buildroot/%_iconsdir/%name.png
install -D -m 644 %name-48.png %buildroot/%_liconsdir/%name.png

install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): \
	command="%_bindir/%name" \
	icon="%name.png" \
	needs="x11" \
	section="Multimedia/Video" \
	title="%Name" \
	longtitle="%summary1"
EOF

install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%{name}_wizard
?package(%name): \
	command="%_bindir/%{name}_wizard" \
	icon="%name.png" \
	needs="x11" \
	section="Multimedia/Video" \
	title="%Name Wizard" \
	longtitle="%summary1"
EOF

%files
%doc AUTHORS COPYING INSTALL FAQfr-xdtv TODO
%doc README README.dvb README.record README.bs README.ffmpeg README.streaming
%doc README.bsd README.gentoo README.xvid README.buildme README.lirc
%doc README.deinterlace README.plugins ChangeLog lisez-moi xdtvrc.sample
%doc lircrc.miro.sample lircrc.hauppauge.sample lircrc.animax.sample
%doc lircrc.WinfastTV2000.sample

%dir %_sysconfdir/%name
%_sysconfdir/%name/%{name}_wizard-en.conf
%_sysconfdir/%name/%{name}_wizard-en-UTF8.conf
%_bindir/%name
%_bindir/%{name}_cmd
%_bindir/%{name}_wizard
%_bindir/%{name}_scantv
%_bindir/%{name}_alevt-cap
%_bindir/%{name}_alevt-capall
%_bindir/%{name}_alevt-date
%_bindir/%{name}_v4l-conf
%_bindir/%{name}_scan.sh
%_bindir/%{name}_record.sh
%_bindir/%{name}_makedvd.sh
%_man1dir/*
%_datadir/%name/icons/*
%_x11appconfdir/*

%_menudir/%name
%_menudir/%{name}_wizard
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_desktopdir/*.desktop

%files devel
%_includedir/*

%files OSD-font
%dir %_x11fontsdir/xdtv
%_x11fontsdir/xdtv/*

%post OSD-font
%_sbindir/chkfontpath -q --add %_x11fontsdir/%name ||:

%postun OSD-font
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %_x11fontsdir/%name ||:
fi

%changelog
* Sat Jul 22 2006 Hihin Ruslan <hihin_c@t_narod_dot_ru> 2.4.0pre0-alt1b
- 

* Sat Jul 22 2006 Hihin Ruslan <hihin_c@t_narod_dot_ru> 2.4.0pre0-alt1a
- add menu and desktop

* Wed Jul 19 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.4.0pre0-alt1
- Updated version to 2.4.0pre0
- Cleanup spec

* Thu Dec 22 2005 Sir Pingus <pingus_77@yahoo.fr> 2.3.0-1mdk
- 2.3.0
- review all the spec: now -with / without can be use with rpmbuild
